/***********************************************************************

  ColorBox2: Template.cpp
    (c) 2004 by Martin Decky
  
  Distributed under the terms of Lesser General Public Licence, see
  COPYING.

  0.3			20th August 2004	initial

***********************************************************************/


#ifndef __CB2__TEMPLATE_H__
#define __CB2__TEMPLATE_H__


#include <cb2/utils.h>


namespace CB2 {
	
	
	class Template : public Class {
		public:
			Template(const String & value);
			
			String::size_type Subst(const String & anchor, const String & value);
			String Render();
			
		private:
			Template();
		
			String macro;
	};
	
}


#endif
