#include <cb2/Application.h>
#include <cb2/Paragraph.h>


using namespace CB2;


class App : public Application {
	public:
		App();
	private:
		Template * body;
		Paragraph * hello;
};


App::App()
	: Application() {
	
	body = new Template("<html>\n<head>\n <title>Hello world application</title>\n</head>\n<body>\n&&BODY\n</body>\n</html>\n");
	SetTemplate(body, "BODY");
	
	hello = new Paragraph(*this, "Hello world");
}


CB2_IMPLEMENT_APP(App);
