/***********************************************************************

  ColorBox2: make.cpp
    (c) 2004 by Martin Decky
  
  Distributed under the terms of Lesser General Public Licence, see
  COPYING.

  0.3			10th August 2004	initial

***********************************************************************/


#include <iostream>
#include <unistd.h>
#include "make.h"


using namespace std;


String unslash(const String & path) {
	if ((path.Len() > 0) && (path[path.Len() - 1] == '/'))
		return path.Substr(0, path.Len() - 1);
	
	return path;
}


int make(const String & target, const String & bin_path) {
	/* Execute make */
	if (execlp("make", "make", (const char * ) (String("BIN_PATH=") + unslash(bin_path)), (const char * ) target, NULL) == -1)
		cerr << "Unable to execute make" << endl;
	
	/* Normally we shouldn't reach
	   this code */
	cerr << "Execution error" << endl;
	return 3;
}
