/***********************************************************************

  ColorBox2: Containers.h
    (c) 2004 by Martin Decky
  
  Distributed under the terms of Lesser General Public Licence, see
  COPYING.

  0.3			20th August 2004	initial

***********************************************************************/


#ifndef __CB2__CONTAINERS_H__
#define __CB2__CONTAINERS_H__


#include <cb2/utils.h>
#include <cb2/Widgets.h>


namespace CB2 {
	
	class ContainerBin : public Container {
		public:
			ContainerBin(Container & parent);
			ContainerBin(Application & parent);
			virtual ~ContainerBin();
			
			virtual Template * Add(Widget * child, String & anchor);
			
		private:
			Widget * member;
			Template * mtempl;
	};
	
}


#endif
