/***********************************************************************

  ColorBox2: Paragraph.cpp
    (c) 2004 by Martin Decky
  
  Distributed under the terms of Lesser General Public Licence, see
  COPYING.

  0.3			20th August 2004	initial

***********************************************************************/


#include <cb2/Paragraph.h>


using namespace CB2;


Paragraph::Paragraph(Container & parent, const String & text)
	: Widget(parent) {
	contents = text.HTML();
}


Paragraph::Paragraph(Application & parent, const String & text)
	: Widget(parent) {
	contents = text.HTML();
}


Paragraph::~Paragraph() {
	Data(String("<p>") + contents + String("</p>"));
}
