/***********************************************************************

  ColorBox2: Paragraph.h
    (c) 2004 by Martin Decky
  
  Distributed under the terms of Lesser General Public Licence, see
  COPYING.

  0.3			20th August 2004	initial

***********************************************************************/


#ifndef __CB2__PARAGRAPH_H__
#define __CB2__PARAGRAPH_H__


#include <cb2/utils.h>
#include <cb2/Widgets.h>


namespace CB2 {

	
	class Paragraph : public Widget {
		public:
			Paragraph(Container & parent, const String & text = "");
			Paragraph(Application & parent, const String & text = "");
			virtual ~Paragraph();
			
		private:
			String contents;
	};
	
}


#endif
